Bug 186908 - FC5 upgrade complains about duplicate partition labels
FC5 upgrade complains about duplicate partition labels
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: anaconda (Show other bugs)
5
All Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
Fedora Extras Quality Assurance
bzcl34nup
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-03-27 07:33 EST by David Howells
Modified: 2008-05-06 11:39 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-05-06 11:39:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description David Howells 2006-03-27 07:33:52 EST
Description of problem:   
   
When I try to upgrade my FC4 installation, the FC5 upgrader complains about 
partitions with duplicate labels of "??????????????". I used e2label to make 
sure all the ext3 partitions on my two disks are labelled with suitable 
labels, but the error still occurs. 
 
The Anaconda log does appear to log the fact that certain labels are 
unexpected, but it seems indicate that the device in each case is "/tmp/disk", 
which doesn't help diagnose the problem. 
 
Also, the error dialogue box only has a reboot button, which means that even 
if I fix it up in the shell, I can't just ask Anaconda to try again. 
 
Version-Release number of selected component (if applicable):   
   
FC5 base. 
   
How reproducible:   
   
100%. 
   
Steps to Reproduce:   
1.  Install FC4 with RAID1 mirrored partitions for /, /boot and /data. Stick 
another unmirrored data partition on each disk and a swap partition on each 
disk. 
2.  Upgrade FC4 to latest. 
3.  Attempt to upgrade installation to FC5. 
 
I have not attempted to reproduce this from scratch. 
 
Actual results:   
   
Anaconda rejects the attempt to upgrade with an error dialogue box saying that 
multiple partitions have labels of "?????????????????". 
   
Expected results:   
   
That shouldn't happen, even if the partitions weren't labelled by the FC4 
installer. 
   
Additional info: 
 
I think the problem is that I have two swap partitions, one on each disk. 
Looking in /dev/disk on fc4, I see: 
 
[root@warthog dhowells]# ls -l /dev/disk/by-label/ 
total 0 
lrwxrwxrwx  1 root root 10 Mar 27 13:03 _______________ -> ../../sdb5 
lrwxrwxrwx  1 root root  9 Mar 27 13:03 boot -> ../../md0 
lrwxrwxrwx  1 root root 10 Mar 27 13:03 ccache -> ../../sdb6 
lrwxrwxrwx  1 root root 10 Mar 27 13:03 tmp -> ../../sda6 
lrwxrwxrwx  1 root root  9 Mar 27 13:03 warthog -> ../../md2 
 
And if I look at the partition setup, I see: 
 
   Device Boot      Start         End      Blocks   Id  System 
/dev/sda1   *           1          13      104391   fd  Linux raid autodetect 
/dev/sda2              14       24321   195254010    5  Extended 
/dev/sda5              14        1010     8008371   82  Linux swap / Solaris 
/dev/sda6            1011        2007     8008371   83  Linux 
/dev/sda7            2008        6988    40009851   fd  Linux raid autodetect 
/dev/sda8            6989       24321   139227291   fd  Linux raid autodetect 
 
   Device Boot      Start         End      Blocks   Id  System 
/dev/sdb1   *           1          13      104391   fd  Linux raid autodetect 
/dev/sdb2              14       24321   195254010    5  Extended 
/dev/sdb5              14        1010     8008371   82  Linux swap / Solaris 
/dev/sdb6            1011        2007     8008371   83  Linux 
/dev/sdb7            2008        6988    40009851   fd  Linux raid autodetect 
/dev/sdb8            6989       24321   139227291   fd  Linux raid autodetect
Comment 1 Jeremy Katz 2006-03-27 13:39:27 EST
What are the labels on teh swap partitions?
Comment 2 David Howells 2006-03-28 07:18:44 EST
I can no longer find out that information. But I suspect they were simply  
unset. I set the labels with mkswap, and now I see the following  
in /dev/disk/by-label/:  
  
warthog>ls -l /dev/disk/by-label/  
total 0  
lrwxrwxrwx 1 root root  9 Mar 27 15:38 boot -> ../../md0  
lrwxrwxrwx 1 root root 10 Mar 27 15:38 ccache -> ../../sdb6  
lrwxrwxrwx 1 root root 10 Mar 27 15:38 sda5 -> ../../sda5  
lrwxrwxrwx 1 root root 10 Mar 27 15:38 sdb5 -> ../../sdb5  
lrwxrwxrwx 1 root root  9 Mar 27 15:38 warthog -> ../../md2  
 
 
diffing hexdumps of a mkswapped partition with and without a label shows: 
 
--- swap.hex    2006-03-28 13:21:45.000000000 +0100 
+++ swap-nolabel.hex    2006-03-28 13:21:50.000000000 +0100 
@@ -1,9 +1,7 @@ 
 0000000 0000 0000 0000 0000 0000 0000 0000 0000 
 * 
 0000400 0001 0000 0fff 0000 0000 0000 0000 0000 
-0000410 0000 0000 0000 0000 0000 0000 6977 6262 
-0000420 656c 0000 0000 0000 0000 0000 0000 0000 
-0000430 0000 0000 0000 0000 0000 0000 0000 0000 
+0000410 0000 0000 0000 0000 0000 0000 0000 0000 
 * 
 0000ff0 0000 0000 0000 5753 5041 5053 4341 3245 
 0001000 000a                                    
 
So I expect the original labels were all zero bytes. 
Comment 3 Chris Lumens 2007-03-14 17:58:06 EDT
Are you still running into this with Rawhide?
Comment 4 David Howells 2007-03-15 09:38:04 EDT
I don't have anything to test it with.  The only machine I've got with two 
disks in it is my desktop, and I *really* don't want to risk clobbering that. 
I'll ask see if anyone else here has a suitable machine I can destroy.
Comment 5 Bug Zapper 2008-04-03 22:17:25 EDT
Fedora apologizes that these issues have not been resolved yet. We're
sorry it's taken so long for your bug to be properly triaged and acted
on. We appreciate the time you took to report this issue and want to
make sure no important bugs slip through the cracks.

If you're currently running a version of Fedora Core between 1 and 6,
please note that Fedora no longer maintains these releases. We strongly
encourage you to upgrade to a current Fedora release. In order to
refocus our efforts as a project we are flagging all of the open bugs
for releases which are no longer maintained and closing them.
http://fedoraproject.org/wiki/LifeCycle/EOL

If this bug is still open against Fedora Core 1 through 6, thirty days
from now, it will be closed 'WONTFIX'. If you can reporduce this bug in
the latest Fedora version, please change to the respective version. If
you are unable to do this, please add a comment to this bug requesting
the change.

Thanks for your help, and we apologize again that we haven't handled
these issues to this point.

The process we are following is outlined here:
http://fedoraproject.org/wiki/BugZappers/F9CleanUp

We will be following the process here:
http://fedoraproject.org/wiki/BugZappers/HouseKeeping to ensure this
doesn't happen again.

And if you'd like to join the bug triage team to help make things
better, check out http://fedoraproject.org/wiki/BugZappers
Comment 6 Bug Zapper 2008-05-06 11:39:45 EDT
This bug is open for a Fedora version that is no longer maintained and
will not be fixed by Fedora. Therefore we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen thus bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.